<?php
namespace FM\Service;

use FM\Factory\NewLocalFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class NewLocalService {
    
    protected $NewLocalFactory;
    protected $Environment;
    protected $newCode;
    
    public function __construct (NewLocalFactory $NewLocalFactory, Environment $Environment, NewCode $newCode) {
        $this->NewLocalFactory  = $NewLocalFactory;
        $this->Environment                  = $Environment;
        $this->newCode                      = $newCode;
    }

    public function getServiceCheckList(){
        $operadores = $this->NewLocalFactory->getFactoryCheckList();
        return $operadores;
    }
    
    public function insertServiceLocal($nmtipolocalcli, $idtipolocalcli, $nrchecklistpadr, $dsiconetipolocal, $idativo, $nrorg, $cdoperinclusao, $nrorginclusao, $dtultatu, $cdoperultatu, $nrorgultatu, $dstipolocalcli){
        
        $nrtipolocalcli = $this->newCode->getCodeByTableName('FCM_TIPOLOCALCLI', $nrorg, 1, 10, true);
        
        $param = array(
            'NRTIPOLOCALCLI' => $nrtipolocalcli,
            'NMTIPOLOCALCLI' => $nmtipolocalcli, 
            'IDTIPOLOCALCLI' => $idtipolocalcli, 
            'NRCHECKLISTPADR' => $nrchecklistpadr, 
            'DSICONETIPOLOCAL' => $dsiconetipolocal, 
            'IDATIVO' => $idativo, 
            'NRORG' => $nrorg, 
            'CDOPERINCLUSAO' => $cdoperinclusao, 
            'NRORGINCLUSAO' => $nrorginclusao, 
            'DTULTATU' => $dtultatu, 
            'CDOPERULTATU' => $cdoperultatu, 
            'NRORGULTATU' => $nrorgultatu, 
            'DSTIPOLOCALCLI' => $dstipolocalcli
        );
        
        $operadores = $this->NewLocalFactory->insertFactoryLocal($param);
        return $operadores;
    }
    
    public function getControllerLocalToUpdate($nrtipolocalcli){
        $param = array(
            'NRTIPOLOCALCLI' => $nrtipolocalcli
        );
        
        $operadores = $this->NewLocalFactory->getFactoryLocalToUpdate($param);
        return $operadores;
    }
    
    public function updateServiceLocal($nrtipolocalcli, $nmtipolocalcli, $idtipolocalcli, $nrchecklistpadr){
        
        $param = array(
            'NRTIPOLOCALCLI' => $nrtipolocalcli,
            'NMTIPOLOCALCLI' => $nmtipolocalcli, 
            'IDTIPOLOCALCLI' => $idtipolocalcli, 
            'NRCHECKLISTPADR' => $nrchecklistpadr
        );
        
        $operadores = $this->NewLocalFactory->updateFactoryLocal($param);
        return $operadores;
    }
}
?>